> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Delete Multiple Metafields

DELETE https://api.bigcommerce.com/stores/{store_hash}/v3/inventory/locations/metafields
Content-Type: application/json

Delete all location metafields.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/inventory/locations/batch-metafields/delete-locations-metafields

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Store Inventory | read-only | `store_inventory_read_only` | | Store Inventory | modify | `store_inventory` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts). For more about BigCommerce OAuth scopes, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Body (application/json)

This endpoint expects a list of integer.

- `list of integer`

## Response

### 200

Response object for metafields deletion with success.

- `data` (list of integer, optional)
- `errors` (list of any, optional) — Empty for 200 responses.
- `meta` (WriteCollectionSuccessMeta, optional) — Additional data about the response.

## Errors

### 422 Unprocessable Entity Error

Response object for metafields deletion with partial success.

- `data` (list of integer, optional)
- `errors` (list of Error, optional)
- `meta` (WriteCollectionPartialSuccessMeta, optional) — Additional data about the response.

## Types

### WriteCollectionSuccessMeta

Additional data about the response.

- `total` (integer, optional) — Total number of items in the result set.
- `success` (integer, optional) — Total number of items that were successfully deleted.
- `failed` (integer, optional) — Total number of items that failed to be deleted.

### Error

Error response payload for the BigCommerce API.

- `status` (integer, optional) — The HTTP status code for the error.
- `title` (string, optional) — The error title.
- `type` (string, optional) — The error type.
- `errors` (ErrorDetail, optional) — Error detail response payload for the BigCommerce API.

### WriteCollectionPartialSuccessMeta

Additional data about the response.

- `total` (integer, optional) — Total number of items in the result set.
- `success` (integer, optional) — Total number of items that were successfully deleted.
- `failed` (integer, optional) — Total number of items that failed to be deleted.

### ErrorDetail

Error detail response payload for the BigCommerce API.

## Examples

**Request**

```json
[
  1
]
```

**Response**

```json
{
  "data": [
    123,
    124,
    125
  ],
  "errors": [],
  "meta": {
    "total": 3,
    "success": 3,
    "failed": 0
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/inventory/locations/metafields"

payload = [1]
headers = {
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/inventory/locations/metafields';
const options = {
  method: 'DELETE',
  headers: {'X-Auth-Token': '<apiKey>', 'Content-Type': 'application/json'},
  body: '[1]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/inventory/locations/metafields"

	payload := strings.NewReader("[\n  1\n]")

	req, _ := http.NewRequest("DELETE", url, payload)

	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/inventory/locations/metafields")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "[\n  1\n]"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api.bigcommerce.com/stores/store_hash/v3/inventory/locations/metafields")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("[\n  1\n]")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://api.bigcommerce.com/stores/store_hash/v3/inventory/locations/metafields', [
  'body' => '[
  1
]',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/inventory/locations/metafields");
var request = new RestRequest(Method.DELETE);
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  1\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [1] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/inventory/locations/metafields")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```